<?php
require_once "inc/usuario.php";

$usuario_inventario = getLoggedUser();
$id_usuario= $usuario_inventario['id'];
$id_unidade= $usuario_inventario['unidade'];

$id = 0;

/*
if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}
// if($id_usuario==""){$id_usuario=0;}
*/

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id         = $_POST['id'];
}
$ds_local	= trim($_POST['ds_local']);
$id_tipo_local = $_POST['id_tipo_local'];
$st_ativo	= 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_local_estoque set dh_alteracao=now(), ds_local = '$ds_local', id_tipo_local = '$id_tipo_local',st_ativo  =  $st_ativo, id_usuario = $id_usuario";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_local_estoque set dh_alteracao=now(),st_ativo = 0, id_usuario = $id_usuario";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_local_estoque ( ds_local, id_tipo_local, st_ativo, id_usuario, dh_alteracao) values ( '$ds_local', $id_tipo_local, $st_ativo, $id_usuario, now())";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

/*
echo $ok;
echo $sql;
exit;*/

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_local_estoque_list.php");
}
?>
